[tox]
skipsdist = True
envlist = pg
toxworkdir = {env:TMPDIR:/tmp}/tox-{env:USER}/wcs/

[testenv]
setenv =
    PYTHONPATH=.
    coverage: COVERAGE=--junit-xml=test_results.xml --cov=wcs --cov-report xml --cov-config .coveragerc
passenv =
    USER
deps =
    pytest>=3.3.0
    pytest-mock
    pytest-cov
    WebTest
    psycopg2
    mechanize
    scgi
    vobject
    pyquery
    http://quixote.python.ca/releases/Quixote-2.7b2.tar.gz
    qrcode
    python-dateutil
    pillow
    feedparser
commands =
    pickle:  py.test --without-postgresql-tests {env:COVERAGE:} {posargs:tests}
    pg:  py.test {env:COVERAGE:} {posargs:tests}
